org.jetlang.remote.acceptor

## Class NioJetlangRemotingClientFactory.Hb

- java.lang.Object
- - org.jetlang.remote.acceptor.NioJetlangRemotingClientFactory.Hb

Enclosing class:
  NioJetlangRemotingClientFactory

    public static class NioJetlangRemotingClientFactory.Hb
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Hb()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClose()`
`void` `startHb(org.jetlang.fibers.NioFiber fiber, JetlangNioSession handler, NioJetlangChannelHandler nioJetlangChannelHandler, JetlangSessionConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Hb

    public Hb()

### Method Detail

#### onClose

    public void onClose()

#### startHb

    public void startHb(org.jetlang.fibers.NioFiber fiber,
                        JetlangNioSession handler,
                        NioJetlangChannelHandler nioJetlangChannelHandler,
                        JetlangSessionConfig config)